libcoap 4.3.2rc2

Data Fields
coap_l_block1_t Struct Reference
Libcoap Internal API » Block Transfer

Structure to keep track of block1 specific information (Requests) More...

`#include <coap_block_internal.h>`

## Data Fields
coap_binary_t * | app_token
| original PDU token More...
uint64_t | state_token
| state token More...
size_t | bert_size
| size of last BERT block More...
uint32_t | count
| the number of packets sent for payload More...

## Detailed Description

Structure to keep track of block1 specific information (Requests)

Definition at line 92 of file coap_block_internal.h.

## Field Documentation

## ◆ app_token

coap_binary_t* coap_l_block1_t::app_token

original PDU token

Definition at line 93 of file coap_block_internal.h.

## ◆ bert_size

size_t coap_l_block1_t::bert_size

size of last BERT block

Definition at line 95 of file coap_block_internal.h.

## ◆ count

uint32_t coap_l_block1_t::count

the number of packets sent for payload

Definition at line 96 of file coap_block_internal.h.

## ◆ state_token

uint64_t coap_l_block1_t::state_token

state token

Definition at line 94 of file coap_block_internal.h.

The documentation for this struct was generated from the following file:

- coap_block_internal.h